%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version:        5.2.0
Release:        15%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-downstream-only-UpgradeInitCommand-for-OSP.patch
Patch0003: 0003-downstream-only-UpgradeInitCommand-update-to-switch-.patch
Patch0004: 0004-downstream-only-Retain-existing-ComputeHostnameForma.patch
Patch0005: 0005-downstream-only-configure-Horizon-to-point-on-OSP-do.patch
Patch0006: 0006-Enables-auto-detection-for-VIP-interfaces.patch
Patch0007: 0007-Make-the-openvswitch-2.4-2.5-upgrade-more-robust.patch
Patch0008: 0008-Setting-networking-odl-v2-as-a-mechanism-driver.patch
Patch0009: 0009-Adds-missing-firewall-rules-for-OpenDaylight-API-ser.patch
Patch0010: 0010-Adds-missing-OpenDaylight-username-password-from-ODL.patch
Patch0011: 0011-Add-support-for-live-migration-over-ssh.patch
Patch0012: 0012-9-10-Add-openstack-nova-migration-to-compute.patch
Patch0013: 0013-Install-openstack-nova-migration-during-minor-update.patch
Patch0014: 0014-Ignore-systemctl-return-code-in-yum_update.sh.patch
Patch0015: 0015-Disable-exit-on-error-for-pacemaker-commands-for-upd.patch
Patch0016: 0016-Touch-etc-httpd-conf.d-ssl.conf.patch
Patch0017: 0017-M-N-Ensure-mod_ssl-is-installed-during-upgrade.patch
Patch0018: 0018-Add-NovaLibvirtNetwork.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python-pbr

Requires:       PyYAML

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
if [ -d ci ]; then
  cp -ar ci %{buildroot}/%{_datadir}/%{name}
fi
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Thu May 04 2017 Alex Schultz <aschultz@redhat.com> 5.2.0-15
- Add NovaLibvirtNetwork (rhbz#1448062)

* Thu May 04 2017 Jason Joyce <jjoyce@redhat.com> 5.2.0-14
- [M->N] Ensure mod_ssl is installed during upgrade. (rhbz#1441982)
- Touch /etc/httpd/conf.d/ssl.conf (rhbz#1441982)

* Wed May 03 2017 Jason Joyce <jjoyce@redhat.com> 5.2.0-13
- Changelog cleanup (rhbz#1428241)

* Wed May 03 2017 Alex Schultz <aschultz@redhat.com> 5.2.0-12
- Disable exit on error for pacemaker commands for update flow (rhbz#1428017)
- Ignore systemctl return code in yum_update.sh (rhbz#1414779 rhbz#1416228)
- Install openstack-nova-migration during minor update of OSP10 (rhbz#1428241)

* Tue May 02 2017 Alex Schultz <aschultz@redhat.com> 5.2.0-11
- [9->10] Add openstack-nova-migration to compute (rhbz#1428241)
- Add support for live migration over ssh (rhbz#1428241)

* Tue May 02 2017 Jason Joyce <jjoyce@redhat.com> 5.2.0-10
- Update patches

* Tue Jan 17 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-3
- Adds missing OpenDaylight username/password from ODL OVS service (rhbz#1406479)
- Adds missing firewall rules for OpenDaylight API service (rhbz#1406472)
- Setting networking-odl v2 as a mechanism driver  (rhbz#1409070)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-2
- Make the openvswitch 2.4->2.5 upgrade more robust (lp#1635205)
- Enables auto-detection for VIP interfaces (lp#1606632)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-1
- Update to 5.2.0 (rhbz#1412857)
- [downstream only] configure Horizon to point on OSP doc (rhbz#1403914)
- Add CI directory

* Tue Nov 29 2016 Mike Burns <mburns@redhat.com> 5.1.0-7
- Use correct type for SensuRedactVariables parameter (rhbz#1392473)

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-6
- Have docker start script honor configuration
- Provide full list of services for Compute role in HCI scenario
- Remove conditional for neutron l3_ha
- Run os-net-config before restarting cluster on update (rhbz#1396904)
- Explicitly set rabbit hosts so its not overridden during upgrade (rhbz#1397897)
- Make the CloudDomain defaults match the doc strings
- Fix ovs 2.4 to 2.5 upgrade - minor update non controllers (rhbz#1364540)
- Correct AllNodesDeploySteps depends_on

* Tue Nov 22 2016 Jason Joyce <jjoyce@redhat.com> 5.1.0-5
- Ensure heat-domain hiera is in nodes that contain keystone
- Use keystone profile parameter to pass heat password

* Mon Nov 21 2016 Jason Joyce <jjoyce@redhat.com> 5.1.0-4
- Use default Sensu redact (rhbz#1392473)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-3
- Do not manage overcloud repositories when using external Ceph (rhbz#1394587)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-2
- Fix typo in Keystone Sensu subscription (rhbz#1392428)
- Fix external Load Balancer deployment (rhbz#1395124)
- Configure civetweb bind socket via puppet-tripleo (rhbz#1387872)
- Fixes missing OVS Firewall config with OpenDaylight (rhbz#1393562)
- Increasing neutron timeout for low memory usage
- Fix inconsistent Manila service naming
- Fix race during major-upgrade-pacemaker step (rhbz#1389040)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-1
- Update to 5.1.0

* Mon Nov 14 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1.7
- Fixes incorrect reference to OpendaylightApiNetwork
- Select bootstrap node by list index not name (rhbz#1392995)
- Add firewall rules for manila api service (rhbz#1393487)
- Reload haproxy configuration as a post-deployment step
- set url_base option in static web middleware (rhbz#1383305)
- ceilometer compute agent needs restart on compute upgrade (rhbz#1392773)
- Defaults kernel.pid_max to 1048576 (rhbz#1389502)

* Thu Nov 10 2016 Jason Joyce <jjoyce@redhat.com> 5.0.0-1.6
- Add SNMP role to the CephStorage nodes

* Wed Nov 09 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1.5
- Use --globoff when downloading artifacts (rhbz#1392728)
- Do not reference CephBase from CephExternal service (rhbz#1388836)
- Mitaka-Newton upgrade fix network disruption during convergence (rhbz#1391671)
- Add an optional extra node admin ssh key parameter (rhbz#1387283)
- Move per role Services defaults into environment file (rhbz#1387408)

* Tue Nov 08 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1.4
- Change nova ram_allocation_ratio to match puppet-nova
- Move db settings from manila-api to manila-base
- Include keystone authtoken config in manila-share service
- Ensure we update ceph and composable nodes (rhbz#1388977)
- swift/proxy: remove swift::proxy::ceilometer::rabbit_host
- nova: add missing vnc console port in firewall
- nova/libvirt: add missing ports for live-migration
- Updated Nuage neutron plugin name
- Remove duplicate metadata keys from nova-api.yaml
- Include redis/mongo hiera when using pacemaker
- Update openstack-puppet-modules dependencies (rhbz#1390559)
- Add option to disable "d1" Swift device
- Use correct password for keystone bootstrap
- gnocchi statsd should be able to send data to port 8125
- Enable proxy headers parsing for Neutron

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1.3
- Fixup the start of swift services
- Rework gnocchi-upgrade to run in a separate upgrade step
- Re-add NFS backend for Glance
- Add replacepkgs to the manual ovs upgrade workaround and fix a typo
- Fix Swift proxy pipeline ordering

* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1.2
- Fix the stonith property during upgrades
- Fix usage of SwiftRawDisks
- Fix the rabbitmq/redis pacemaker resource timeouts on updates
- Prefill Sensu client custom config

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1.1
- update to 5.0.0 official release same as rc3 tag

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.9.0rc3
- Ensure all HostsDeployments finish before puppet
- Include ceilometer in swift proxy pipeline
- Removes EnableODL heat parameter and fixes missing local_ip param

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.8.0rc3
- Fix default Swift ring partition power
- Add special case handling for OVS upgrade in updates and upgrades
- Open port 16509 for libvirt for live migration
- Disables Neutron ML2 config on Compute for OpenDaylight
- Split out hosts config deployment

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.7.0rc3
- Fixed NoneType issue when monitoring-environment.yaml
- Fix api_extensions_path in neutron-opencontrail environment
- Enable object versioning in Swift proxy
- Fixes missing provider mappings for OpenDaylight
- Pass heat domain admin password to keystone
- Move trunk service plugin to the proper list
- heat-api-cfn endpoint is created to RegionOne instead of regionOne

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.6.0rc3
- Modify the constraint to allow single quote for DPDK core list param

* Wed Oct 19 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.5.0rc3
- glance_multiple_locations when NovaEnableRbdBackend=true
- [downstream only] Retain existing ComputeHostnameFormat in OSP10
- [downstream only] UpgradeInitCommand update to switch Ceph repos (rhbz#1381241)
- [downstream only] UpgradeInitCommand for OSP (rhbz#1361177)
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1348188)

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.4.0rc3
- Update to 5.0.0.0rc3

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.3.0rc2
- Update to 5.0.0.0rc2

* Wed Sep 21 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.2.0rc1
- Update to 5.0.0.0rc1

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.1.0b3
- Update to 5.0.0.0b3

